package com.atmob.map_amap_android.overlays.face;

import com.google.gson.annotations.SerializedName;

public class FlutterCircleOptions {

    @SerializedName("latitude")
    private double latitude;

    @SerializedName("longitude")
    private double longitude;

    @SerializedName("radius")
    private double radius;

    @SerializedName("strokeColor")
    private String strokeColor;

    @SerializedName("fillColor")
    private String fillColor;

    @SerializedName("strokeWidth")
    private float strokeWidth;

    @SerializedName("visible")
    private boolean visible;

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public void setStrokeWidth(float strokeWidth) {
        this.strokeWidth = strokeWidth;
    }

    public boolean isVisible() {
        return visible;
    }

    public void setVisible(boolean visible) {
        this.visible = visible;
    }

    public void setFillColor(String fillColor) {
        this.fillColor = fillColor;
    }

    public void setRadius(double radius) {
        this.radius = radius;
    }

    public void setStrokeColor(String strokeColor) {
        this.strokeColor = strokeColor;
    }

    public void setStrokeWidth(int strokeWidth) {
        this.strokeWidth = strokeWidth;
    }


    public String getFillColor() {
        return fillColor;
    }

    public double getRadius() {
        return radius;
    }

    public String getStrokeColor() {
        return strokeColor;
    }

    public float getStrokeWidth() {
        return strokeWidth;
    }

    public double getLatitude() {
        return latitude;
    }

    public double getLongitude() {
        return longitude;
    }
}
